/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * SecurityCards
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class SecurityCards {
  @SerializedName("risks_ratings")
  private RisksRatings risksRatings = null;

  @SerializedName("general_info")
  private GeneralInfo generalInfo = null;

  public SecurityCards risksRatings(RisksRatings risksRatings) {
    this.risksRatings = risksRatings;
    return this;
  }

   /**
   * Get risksRatings
   * @return risksRatings
  **/
  @ApiModelProperty(value = "")
  public RisksRatings getRisksRatings() {
    return risksRatings;
  }

  public void setRisksRatings(RisksRatings risksRatings) {
    this.risksRatings = risksRatings;
  }

  public SecurityCards generalInfo(GeneralInfo generalInfo) {
    this.generalInfo = generalInfo;
    return this;
  }

   /**
   * Get generalInfo
   * @return generalInfo
  **/
  @ApiModelProperty(value = "")
  public GeneralInfo getGeneralInfo() {
    return generalInfo;
  }

  public void setGeneralInfo(GeneralInfo generalInfo) {
    this.generalInfo = generalInfo;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SecurityCards securityCards = (SecurityCards) o;
    return Objects.equals(this.risksRatings, securityCards.risksRatings) &&
        Objects.equals(this.generalInfo, securityCards.generalInfo);
  }

  @Override
  public int hashCode() {
    return Objects.hash(risksRatings, generalInfo);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SecurityCards {\n");
    
    sb.append("    risksRatings: ").append(toIndentedString(risksRatings)).append("\n");
    sb.append("    generalInfo: ").append(toIndentedString(generalInfo)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

